Page MenuHomePhabricator

Kartographer: ACME does not display "topological" maps, but "topographic" maps
Closed, ResolvedPublic

Description

The labelling of the single ACME map layer in the sidebar of the Kartographer slippy map is incorrect in English (and presumably in other languages). A topological map is diagrammatic and ignores actual geography, whereas a topographic map shows elevation using contour lines. The dropdown menu below "Map services" says "topological".

Details

Related Gerrit Patches:

Event Timeline

Jc86035 created this task.Jun 10 2018, 4:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2018, 4:28 PM
Vvjjkkii renamed this task from Kartographer: ACME does not display "topological" maps, but "topographic" maps to 6abaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 6abaaaaaaa to Kartographer: ACME does not display "topological" maps, but "topographic" maps.Jul 2 2018, 2:57 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

@Mholloway I've reported this at translatewiki.net, which I hope is the right place.

Change 449700 had a related patch set uploaded (by Jc86035; owner: Jc86035):
[mediawiki/extensions/Kartographer@master] Correction of English label for "topo" maps in external maps dropdown

https://gerrit.wikimedia.org/r/449700

Change 449700 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Correction of English label for "topo" maps in external maps dropdown

https://gerrit.wikimedia.org/r/449700

Mholloway closed this task as Resolved.Aug 2 2018, 9:28 PM
Mholloway assigned this task to Jc86035.

Thanks for the patch, @Jc86035!

Pikne added a subscriber: Pikne.Aug 31 2018, 4:29 PM

Now there are "Topographic" and "Terrain" map services listed. From translator's perspective this makes me wonder, is there a meaningful distinction between the two? Maps under both currently show terrain cartography features like contour lines and hill-shading.